Vscode开发Flutter项目的时候有红色下划线如何解决

发布于 6 个月前 作者 phonegap100 440 次浏览 来自 分享

部分同学会发现使用vscode开发Flutter项目的时候,在vscode中会有一些警告信息,但是不影响程序运行。这个主要是因为Flutter 2.8.1之后的analysis_options.yaml引起的。

如果您使用的是Flutter 2.8.1版本或者Flutter 2.8.1之后的版本,请删除项目根目录里面的analysis_options.yaml

Flutter 2.8.1之前的版本中都没有analysis_options.yaml 这个文件

analysis_options.yaml 中定义了Flutter语法的规范,它对我们语法要求非常严格,会多我们开发带来不必要的麻烦,所以建议删掉analysis_options.yaml

回到顶部